Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default

From: Sebastian Wiesner <[email-masked]>
Date: Mon, 28 Jul 2014 10:33:52 +0200

Am 28.07.2014 um 01:23 schrieb Stefan Monnier <[email-masked]>:

>>> The expectations of someone reading online documentation.  Most online
>>> documentation I can find don't use bold, italics, or colors to
>>> distinguish "technical elements" like those that usually appear in
>>> Info-quoted face.
>> Such documentation also uses proportional fonts for standard body text.
> 
> Indeed.  But currently, we can't do that very well because refilling
> Info text is between hard and impossible (there would be other hurdles,
> but that's the most immediate one).

So Info is obviously *very* different from other online documentation, and we should probably not use other online documentation, that is not subject to these limitations, as a guideline for how Info mode should look like.  We can’t entirely match the expectations of readers of these other documentations anyway, because the constraints of the Info format won’t allow to make Info documentation really look like other documentation.  At best, we’ll have some remote similarity, and at worst, Info will look much worse (as it did in this case).

IOW, Info isn’t HTML, and we shouldn’t pretend that it was… my 2 cents.

Anyhow, the face is customizable, so it’s probably not an issue of importance, since anyone can customize it to have a sane style on their system, and we are used to customize Emacs anyway.

I do not know enough about font families and font style to discuss what fonts could be used as an alternative for Courier for use in the Info-quoted face, so if that is the solution you’d like to have, I can’t help anymore.